summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKonstantin Podshumok <kpp.live+signed@gmail.com>2020-04-21 04:07:41 +0300
committerJoonas Niilola <juippis@gentoo.org>2020-04-29 14:40:07 +0300
commit096bab14d75e9ebfb3414135d1b7fb76ac1e6fa5 (patch)
tree6e5b37983ed7be5cf973339b9e6d4ba0dd205b8a /sys-cluster/kube-router/files/kube-router.initd
parentnet-dns/coredns: remove old (diff)
downloadgentoo-096bab14d75e9ebfb3414135d1b7fb76ac1e6fa5.tar.gz
gentoo-096bab14d75e9ebfb3414135d1b7fb76ac1e6fa5.tar.bz2
gentoo-096bab14d75e9ebfb3414135d1b7fb76ac1e6fa5.zip
sys-cluster/kube-router: bump to 0.4
Closes: https://bugs.gentoo.org/695302 Signed-off-by: Konstantin Podshumok <kpp.live+signed@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/15446 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'sys-cluster/kube-router/files/kube-router.initd')
-rw-r--r--sys-cluster/kube-router/files/kube-router.initd12
1 files changed, 11 insertions, 1 deletions
diff --git a/sys-cluster/kube-router/files/kube-router.initd b/sys-cluster/kube-router/files/kube-router.initd
index 844b951bd837..9b96ec024f66 100644
--- a/sys-cluster/kube-router/files/kube-router.initd
+++ b/sys-cluster/kube-router/files/kube-router.initd
@@ -1,5 +1,5 @@
#!/sbin/openrc-run
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
description="Kubernetes routing engine"
@@ -20,3 +20,13 @@ extra_commands="clear"
clear() {
"${command}" --cleanup-config
}
+
+if [[ -n "${KUBE_ROUTER_HEALTHCHECK_URI}" ]]; then
+ healthcheck_delay=60
+ healthcheck_timer=30
+
+ healthcheck() {
+ command -v wget || return 0
+ wget -Oq- "${KUBE_ROUTER_HEALTHCHECK_URI}"
+ }
+fi